Bug 615126 - Ch 14 Event Triggers
Summary: Ch 14 Event Triggers
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Grid_User_Guide   
(Show other bugs)
Version: Development
Hardware: All Linux
medium
medium
Target Milestone: 1.3
: ---
Assignee: Lana Brindley
QA Contact: Lubos Trilety
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-16 01:55 UTC by Robert Rati
Modified: 2013-10-23 23:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 20:10:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Rati 2010-07-16 01:55:36 UTC
Description of problem:
"This information can then be displayed as defined notification text using the MRG Management Console, if desired." - This actually isn't true at the moment.  The console will not be able to interpret events for 1.3.

"In addition to the standard triggers listed, the event trigger service can interact with the remote configuration feature to provide absent node events. An absent node is a machine that has been configured using the remote configuration tool, but has not been found in the pool. When used in this way, an event is created for each machine not found in the pool." - Remove.  Absent nodes is no longer part of 1.3.


"Text and ClassAd attributes are separated by + signs, so if a machine named claimedidle has been idle for ten minutes and met the Idle for long time trigger, the following:" - The + sign is no longer used to determine substitution.  Instead, the $(var) is used.  As such, suggest something like:

To insert a ClassAd attribute into the event text, surround the attribute with $(), so if a machine named claimedidle has been idle for ten minutes and met the Idle for long time trigger, the following:

$(Machine) has been Claimed/Idle for $(TriggerdActivityTime) seconds



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Lana Brindley 2010-07-19 02:28:23 UTC
(In reply to comment #0)
> Description of problem:
> "This information can then be displayed as defined notification text using the
> MRG Management Console, if desired." - This actually isn't true at the moment. 
> The console will not be able to interpret events for 1.3.
> 

Commented out for now.

> "In addition to the standard triggers listed, the event trigger service can
> interact with the remote configuration feature to provide absent node events.
> An absent node is a machine that has been configured using the remote
> configuration tool, but has not been found in the pool. When used in this way,
> an event is created for each machine not found in the pool." - Remove.  Absent
> nodes is no longer part of 1.3.

Commented out.

> 
> 
> "Text and ClassAd attributes are separated by + signs, so if a machine named
> claimedidle has been idle for ten minutes and met the Idle for long time
> trigger, the following:" - The + sign is no longer used to determine
> substitution.  Instead, the $(var) is used.  As such, suggest something like:
> 
> To insert a ClassAd attribute into the event text, surround the attribute with
> $(), so if a machine named claimedidle has been idle for ten minutes and met
> the Idle for long time trigger, the following:
> 
> $(Machine) has been Claimed/Idle for $(TriggerdActivityTime) seconds
> 

This has been updated as part of the response to the technical review by Luigi Toscano (BZ #613684). Please review the changes (available on the stage within 24 hours) and advise of any further changes.


LKB

Comment 2 Robert Rati 2010-07-19 21:21:29 UTC
"Text and ClassAd attributes are specified using $(attributedname) syntax." => This is confusing as Text is not denoted with $().  Suggest: ClassAd attributes are specified using $(attributedname) syntax.

Comment 3 Lana Brindley 2010-07-20 02:59:35 UTC
(In reply to comment #2)
> "Text and ClassAd attributes are specified using $(attributedname) syntax." =>
> This is confusing as Text is not denoted with $().  Suggest: ClassAd attributes
> are specified using $(attributedname) syntax.    

Done.

LKB

Comment 4 Lubos Trilety 2010-09-01 14:16:36 UTC
All mentioned issues are checked in chapter Event Trigger chapter.

>>> VERIFIED


Note You need to log in before you can comment on or make changes to this bug.